#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QVector>
#include <QTimer>
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    void initSpirite();
    void initConnect();

public slots:
    void handleTimeout();
    // QWidget interface
protected:
    void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);

private:
    QPoint startPoint;
    QVector<QPixmap> m_vecPixmap;
    QTimer *m_timer;
    int i_conts;
    bool is_init;
};

#endif // MAINWINDOW_H
